package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.biz.RequestWorkflow;

public interface RequestWorkflowDAO {

	void save(final RequestWorkflow workflow);
	void delete(final RequestWorkflow workflow);
	RequestWorkflow findById(final int workflowId);
	RequestWorkflow findOpenByRequestAndWorkflowTemplateId(final int requestId, final int workflowTemplateId);
	List<RequestWorkflow> listByRequestAndWorkflowTemplateId(final int requestId, final int workflowTemplateId);
	List<RequestWorkflow> listAll();
	List<RequestWorkflow> listByRequestId(final int requestId);
	List<RequestWorkflow> listOpenByRequestId(final int requestId);
}
